apply plugin: "com.android.library"

android {
    compileSdkVersion 32

    defaultConfig {
//        applicationId "com.synjones.idcardusb_reader"
        minSdkVersion 21
        targetSdkVersion 22
        versionCode 1
        versionName "1.0"
        ndk {
            abiFilters 'armeabi-v7a'    //只生成armv7的so
        }
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.txt'
        }

        debug {
            jniDebuggable true
            debuggable true
        }

        yufabu {
            jniDebuggable true
            debuggable true
        }
    }
}

dependencies {
    implementation fileTree(dir: "libs", include: ["*.jar", "*.aar"])
//    implementation 'androidx.appcompat:appcompat:1.3.0-alpha02'//1.1.0
    implementation 'com.google.android.material:material:1.1.0'
    implementation 'androidx.constraintlayout:constraintlayout:1.1.3'
//    implementation 'com.google.android:support-v4:r7'
    testImplementation 'junit:junit:4.+'
    androidTestImplementation 'androidx.test.ext:junit:1.1.1'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.2.0'
    implementation 'com.squareup.retrofit2:converter-gson:2.3.0'
    implementation 'com.alibaba:fastjson:1.1.55.android'
    compile project(':MultiReaderLib')
    compile files('libs/SerialPort.jar')
    implementation 'com.squareup.retrofit2:converter-gson:2.3.0'
    //EventBus
    implementation 'org.greenrobot:eventbus:3.1.1'
    implementation 'com.android.support:multidex:1.0.3'


    implementation 'androidx.appcompat:appcompat:1.0.2'//1.1.0
    implementation 'androidx.localbroadcastmanager:localbroadcastmanager:1.0.0'

}
